Skip to main content
PUT
Adjust Inventory for Product

Headers

x-trackstar-api-key
string
required

Your organization-level Trackstar API key.

Example:

"<x-trackstar-api-key>"

x-trackstar-access-token
string
required

Your user's access token for a specific integration (ShipHero, Extensiv, etc).

Example:

"<x-trackstar-access-token>"

Path Parameters

product_id
string
required

Body

application/json
quantity
integer
required

The quantity to adjust the inventory by if increasing or decreasing. If using exact, the quantity to set the inventory to.

Example:

1

adjustment_type
enum<string>
required

The type of adjustment to make to the inventory.

Available options:
increase,
decrease
Example:

"increase"

warehouse_id
string
required

ID of the warehouse to adjust inventory in.

Response

Successful response

id
string
required

The ID of the object that has been created or modified

Example:

"id"

unused_fields
string[]
required

Unused fields

data
CartProductApiItemSchema · object